Bug 833298 - [abrt] xcb_glx_query_server_string_string_length() (SIGSEGV)
[abrt] xcb_glx_query_server_string_string_length() (SIGSEGV)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
abrt_hash:bf7690e01475eaaabc8a3e63a05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 03:38 EDT by Marcus Ilgner
Modified: 2013-08-01 09:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.66 KB, text/plain)
2012-06-19 03:39 EDT, Marcus Ilgner
no flags Details
File: maps (30.48 KB, text/plain)
2012-06-19 03:39 EDT, Marcus Ilgner
no flags Details
File: dso_list (6.21 KB, text/plain)
2012-06-19 03:39 EDT, Marcus Ilgner
no flags Details

  None (edit)
Description Marcus Ilgner 2012-06-19 03:38:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: xcb_glx_query_server_string_string_length
executable:     /usr/lib64/firefox/firefox
kernel:         3.4.2-4.fc17.x86_64
pid:            2780
pwd:            /home/carsten
time:           Di 19 Jun 2012 09:34:11 CEST
uid:            1000
username:       carsten
xsession_errors: 

backtrace:      Text file, 15013 bytes
dso_list:       Text file, 6356 bytes
maps:           Text file, 31215 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/carsten/4

core_backtrace:
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1 0xb150 xcb_glx_query_server_string_string_length libxcb-glx.so.0 -
:8139bf56878106b2e87b44b235b5813a0894898a 0x43014 - libGL.so.1 -
:8139bf56878106b2e87b44b235b5813a0894898a 0x208da - libGL.so.1 -
:8139bf56878106b2e87b44b235b5813a0894898a 0x1c709 glXQueryVersion libGL.so.1 -
:852f5ba246e21d622abb1ecf6aad0fc94f508c19 0x5db4d2 - libxul.so -
:852f5ba246e21d622abb1ecf6aad0fc94f508c19 0x5db7ed - libxul.so -
:852f5ba246e21d622abb1ecf6aad0fc94f508c19 0x5d3dcd XRE_main libxul.so -
:d566c261aec0d8f9576ae004de2bdfd9b9c96511 0x23be - [exe] -

environ:
:XDG_VTNR=2
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=4
:HOSTNAME=cilgner
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2758
:GPG_AGENT_INFO=/run/user/carsten/keyring-rmFUjX/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-panel-2358-cilgner-firefox-1_TIME250402
:HISTSIZE=1000
:XDG_SESSION_COOKIE=0aaea886cf85c7f2ff0a26b80000000c-1340091155.559723-1940209489
:GNOME_KEYRING_CONTROL=/run/user/carsten/keyring-rmFUjX
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=carsten
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:SSH_AUTH_SOCK=/run/user/carsten/keyring-rmFUjX/ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=carsten
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2154,unix/unix:/tmp/.ICE-unix/2154
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/firefox.desktop
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:MAIL=/var/spool/mail/carsten
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/carsten/.local/bin:/home/carsten/bin
:DESKTOP_SESSION=gnome
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/carsten
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2152
:LANG=de_DE.UTF-8
:KDEDIRS=/usr
:XSUNSMESIZE=512
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/carsten
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=carsten
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-m9IbWYZBrA,guid=8597be759275fd8144e21d560000009a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/carsten
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-carsten-cD8v25/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63581                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63581                63581                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[29167]
:pos:	0
:flags:	02004002
:4:pipe:[25268]
:pos:	0
:flags:	01

smolt_data:
:
:
:Allgemein
:=================================
:UUID: a980533c-e688-4d12-ade9-638730639b7f
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.UTF-8
:Plattform: x86_64
:BogoMIPS: 4390.46
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
:CPU-Stepping: 7
:CPU Familie: 6
:CPU-Modellnummer: 42
:Anzahl der CPUs: 8
:CPU-Geschwindigkeit: 2201
:Systemspeicher: 7968
:System-Swap: 4159
:Anbieter: Acer
:System: Aspire 7750G V1.19
:Form-Faktor: Notebook
:Kernel: 3.4.2-4.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:7241:4133:1294) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:7202:4133:1294) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7190:4133:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4133:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4098:26792:4133:1294) pci, None, VIDEO, Broadway [ATI Mobility Radeon HD 6800 Series]
:(32902:7200:4133:1294) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4098:43608:4133:1294) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(5348:17240:4187:57408) pci, wl, NETWORK, BCM43227 802.11b/g/n
:(6505:4227:4133:1294) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(4147:404:4133:1294) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7171:4133:1294) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4133:1294) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1294) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1294) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1294) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4133:1294) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_cilgner-lv_root / ext4 4096 4096 2639039 1123924 991624 660960 452140 452140
:/dev/sda6 /boot ext4 1024 1024 508745 404719 379119 128016 127712 127712
:/dev/sdb2 WITHHELD fuseblk 4096 4096 180582655 178147599 178147599 712655932 712646311 712646311
:/dev/mapper/vg_data-Home /home ext4 4096 4096 2498814 1676239 1550902 627088 607863 607863
:/dev/mapper/vg_data-Logs /var/log ext4 1024 1024 194578 143265 133435 49152 48960 48960
:

var_log_messages:
:Jun 19 08:48:58 cilgner kernel: [  529.308338] firefox[27293]: segfault at ffffffffa8472968 ip 00007fcba2dddf68 sp 00007fffd934ac90 error 4 in libX11.so.6.3.0[7fcba2da5000+134000]
:Jun 19 08:48:58 cilgner abrt[27294]: Saved core dump of pid 27293 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-06-19-08:48:58-27293 (6791168 bytes)
:Jun 19 09:34:11 cilgner kernel: [  250.374447] firefox[2780]: segfault at c ip 00007ffee43b8150 sp 00007fff10b0f3e8 error 4 in libxcb-glx.so.0.0.0[7ffee43ad000+15000]
:Jun 19 09:34:11 cilgner abrt[2781]: Saved core dump of pid 2780 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-06-19-09:34:11-2780 (6586368 bytes)
Comment 1 Marcus Ilgner 2012-06-19 03:39:03 EDT
Created attachment 592851 [details]
File: backtrace
Comment 2 Marcus Ilgner 2012-06-19 03:39:06 EDT
Created attachment 592852 [details]
File: maps
Comment 3 Marcus Ilgner 2012-06-19 03:39:08 EDT
Created attachment 592853 [details]
File: dso_list
Comment 4 Martin Stransky 2012-06-21 09:54:42 EDT
xcb_glx_query_server_string_string_length() does not come from firefox.
Comment 5 Fedora End Of Life 2013-07-04 00:27:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:37:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.